# Gimp.ColorTransform.process_pixels

    @accepts(Gimp.ColorTransform, Babl.Object, gpointer, Babl.Object, gpointer, gsize)
    @returns(none)
    def process_pixels(self, src_format, src_pixels, dest_format, dest_pixels, length):
        # Python wrapper for gimp_color_transform_process_pixels()

This function transforms a contiguous line of pixels.

See Gimp.ColorTransform.new: only the pixel encoding of src_format and dest_format is honored, their color spaces are ignored. The transform always takes place between the color spaces determined by self's color profiles.

Since 2.10

self

  a Gimp.ColorTransform

src_format

  #Babl format of src_pixels

src_pixels

  pointer to the source pixels

dest_format

  #Babl format of dest_pixels

dest_pixels

  pointer to the destination pixels

length

  number of pixels to process